Module Config_Data
    Public S_salemTicketDropPath As String = String.Empty
    Public S_CorpNet As Boolean = False
    Public S_salemTicketAltPath As String = String.Empty

    Public Sub ReadXMLConfig()
        Dim e As New Exception("Could not find or read from XML config file.")

        If Not IO.File.Exists(My.Application.Info.DirectoryPath & "\" & _
                              My.Application.Info.AssemblyName & _
                              ".exe.config") Then
            Throw e
        End If

        S_salemTicketDropPath = My.Settings("SALEM_PATH")
        S_CorpNet = My.Settings("CORP_NET")
        S_salemTicketAltPath = My.Settings("SALEM_ALT_PATH")

        'If config.xml could not be found, throw exception

        If Not S_salemTicketDropPath.EndsWith("\") Then
            S_salemTicketDropPath &= "\"
        End If

        If Not S_salemTicketAltPath.EndsWith("/") Then
            S_salemTicketAltPath &= "/"
        End If
    End Sub

End Module
